#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'nonlelang.persyaratan_kualifikasi_judul'}
#{/set}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'doc.home'}</a></li>
#{if pl.lls_status.draft}
    <li><a href="@{nonlelang.PaketPlCtr.index()}">&{'doc.daftar_paket'} </a></li>
    <li><a href="@{nonlelang.PengadaanLCtr.edit(pl.lls_id)}">&{'doc.edit_tender'}</a></li>
#{/if}
#{else}
    <li><a href="@{nonlelang.PengadaanLCtr.view(pl.lls_id)}">&{'doc.info_tender'}</a></li>
#{/else}
    <li class="active">>&{'doc.persyaratan_kualifikasi'}</li>
</ol>
<div class="content">
    <div class="bs-callout bs-callout-warning">
        Petunjuk:<br />
        <ol>
            <li>Pilih Persyaratan Kualifikasi dengan memberikan tanda ceklis; dan</li>
            <li>Untuk menambahkan Persyaratan Kualifikasi, klik button Tambah Syarat pada masing-masing persyaratan (Khusus untuk Pekerjaan Konstruksi dan Jasa Konsultan Konstruksi wajib melampirkan Surat Persetujuan Pejabat Tinggi Madya di bagian Kerangka Acuan Kerja (KAK)/Spesifikasi Teknis dan Gambar dan juga berkoordinasi dengan PPK).</li>
        </ol>
    </div>
    #{alert /}
	#{form @nonlelang.DokumenPlCtr.ldkSubmitBaru(pl?.lls_id), id:'form-dok-pl', 'data-alert':'true'}		
		#{include 'nonlelang/dokumen/form-ldk-baru-admin.html'/}
    	#{include 'nonlelang/dokumen/form-ldk-baru-teknis.html'/}
    	#{include 'nonlelang/dokumen/form-ldk-baru-keuangan.html'/}
    	#{if editable} #{saveButton /} #{/if}
		<a href="@{nonlelang.PengadaanLCtr.edit(pl.lls_id)}" class="btn btn-secondary "><i class="fa fa-arrow-circle-left fa-fw"></i> Kembali</a>
	#{/form}
</div>

#{set 'custom_script'}
	<script type="text/javascript" src="#{assets '/js/input-number.js'/}"></script>
	<script type="text/javascript">
		jQuery(document).ready(function () {
			jQuery('.number-only').onChangeNumberOnly();
            $('.ex-form-number').each(function(){
	            if($(this).val()==""){
	                $(this).val('1');   
	            }
	         });
	         $('.ex-form-number-tahun').each(function(){
	             if($(this).val()==""){
		                 $(this).val('4');   
	             }
	         });
	         $('.dialog-input').each(function(){
	             var id = $(this).attr("refid");
	             var input = $("#" + id).val(); 
	             if (input=="")
	                $(this).html("<b> ... </b>");
	             else
                	 $(this).html("<b> "+input+" </b>");
	        });
        });
		var idx = 1
		$(".addTr").on("click", function () {
			var key = $(this).attr("tbl-id")
			var element = $("#" + key + "_tr")
			var elementClone  = element.clone()
			var id = key + "_tr" + idx
			var btn = '<td><a href="javascript:void(0)" class="btn btn-delete-row" id-tr="'+ id +'"><i class="fa fa-trash-o fa-lg"></i></a></td>'
			elementClone.appendTo($("#" + key)).removeAttr("style").attr("id", id).removeAttr("class")
            $("#" + id).append(btn)
			idx++;
		});

		$(document).on("click", ".btn-delete-row", function () {
            var id = $(this).attr("id-tr");
            $("#" + id).remove();
		});

        $(document).on("change", ".form-text", function () {
            if ($(this).val()=="") {
                $(this).focus();
            }
        });
        
        $(document).on("change", ".form-number", function () {
			if ($(this).val() == 0) {
				alert("Pengalaman pekerjaan harus diisi dengan angka minimal 1.");
				$(this).val('1'); $(this).focus();
			} else {
				$(this).val($(this).val().replace(/^0+/, ''));
			}
		});

		$(document).on("change", ".form-number-tahun", function () {
			if ($(this).val() < 4) {
				alert("Tahun pengalaman pekerjaan harus diisi dengan angka minimal 4.");
				$(this).val('4'); $(this).focus();
			} else {
				$(this).val($(this).val().replace(/^0+/, ''));
			}
		});

        $("form").submit(function () {
            $(".tr-template").remove()
        });
	</script>
	<script type="text/javascript">
    function validate(evt) {
        var theEvent = evt || window.event;

        // Handle paste
        if (theEvent.type === 'paste') {
            key = event.clipboardData.getData('text/plain');
        } else {
            // Handle key press
            var key = theEvent.keyCode || theEvent.which;
            key = String.fromCharCode(key);
        }
        var regex = /[0-9]/;
        if( !regex.test(key) ) {
            theEvent.returnValue = false;
            if(theEvent.preventDefault) theEvent.preventDefault();
        }
    }
</script>
#{/set}
